Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.testing
Annotation Type RequiresDialectFeature

    @Target(value={METHOD,TYPE})
    @Retention(value=RUNTIME)
    public @interface RequiresDialectFeature

Annotation used to indicate that a test should be run only when the current dialect supports the specified feature.

Required Element Summary
`Class<? extends DialectCheck>[]` | `value`

Optional Element Summary
`String` | `comment` Comment describing the reason why the feature is required.
`String` | `jiraKey` The key of a JIRA issue which relates this this feature requirement.

Element Detail

### value

    public abstract Class<? extends DialectCheck>[] value

  Returns:
    Class which checks the necessary dialect feature

### comment

    public abstract String comment

  Comment describing the reason why the feature is required.

  Returns:
    The comment
  Default:
    ""

### jiraKey

    public abstract String jiraKey

  The key of a JIRA issue which relates this this feature requirement.

  Returns:
    The jira issue key
  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.